// analyzerDlg.h : 头文件
//

#pragma once
#include "afxwin.h"
#include "yuvplayback.h"
#include "afx.h"


// CanalyzerDlg 对话框
class CanalyzerDlg : public CDialog
{
// 构造
public:
	CanalyzerDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_ANALYZER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CComboBox method;
	CString yuv_o_filename;
	CString yuv_c_filename;
	double result;
	CString dir_data;
	CString dir_output;
	CString obj_filename;
	CString sub_filename;
	afx_msg void OnCbnSelchangeComboMethod();
	CComboBox group;
	afx_msg void OnCbnSelchangeComboGroup();
	afx_msg void OnBnClickedButtonCalc();
	afx_msg void OnBnClickedButtonOutput();
	afx_msg void OnBnClickedButtonCompare();
	double similarity;
	afx_msg void OnBnClickedButtonYuvO();
	afx_msg void OnBnClickedButtonYuvC();
	afx_msg void OnBnClickedButtonObj();
	afx_msg void OnBnClickedButtonSub();
	CYUVPlayback playback_o;
	CYUVPlayback playback_c;
	afx_msg void OnBnClickedButtonPlayYuvO();
	bool isplay_o;
	bool isplay_c;
	CButton playpause_o;
	CButton playpause_c;
	afx_msg void OnBnClickedButtonPlayYuvC();
	CFile *file_ori;
	CFile *file_cmp;
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	UINT playtimer_o;
	UINT playtimer_c;
	afx_msg void OnBnClickedButtonOutputall();
	afx_msg void OnBnClickedButtonCompareall();
};
